{
    Scheme Maker is an application designed to enable you
    to create knitting and cross-stitch schemes from images and photos.
    Created 2010-07-05
    Last modified 2010-08-12
    Current version 1.3
    Copyright (C) 2010  Mariya Fomkina <mariyafomkina@users.sourceforge.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
}

program schememaker;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, Main, LResources, About, LogoUnit, Mouline,
  SysUtils, ComCtrls, PaperPreviewUnit;

{$IFDEF WINDOWS}{$R schememaker.rc}{$ENDIF}

begin
  Application.Title := 'Scheme Maker';
  {$I schememaker.lrs}
  Application.Initialize;

  Logo := TLogo.Create(nil);
  Logo.Show;
  Logo.Update;
  if FileExists('moulinetable.txt') then
    begin
      Logo.Height := 80;
      LoadTable3DFromFile('moulinetable.txt');
    end
  else
    begin
      InitTable3D(Logo.ProgressBar1);
      SaveTable3DToFile('moulinetable.txt');
    end;

  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.CreateForm(TSaveForm, SaveForm);

  Logo.Hide;
  Logo.Release;
  Application.Run;
end.

